%define name            jd.xslt
%define version         1.3.0
%define release         2jpp
%define javadir         %{_datadir}/java
%define javadocdir      %{_datadir}/javadoc
%define section         free

Summary:        Java XSLT processor
Name:           %{name}
Version:        %{version}
Release:        %{release}
Vendor:         JPackage Project
Distribution:   JPackage
License:        MPL
URL:            http://www.aztecrider.com/xslt/
Source0:        http://www.aztecrider.com/xslt/jd.zip
Source1:        %{name}.jd.xslt.script
Source2:        %{name}.build.script
Group:          Text Processing/Markup/XML
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:       jaxp_parser_impl, oldbsf, /usr/sbin/update-alternatives
BuildRequires:  xml-commons-apis, oldbsf
Provides:       jaxp_transform_impl

%description
jd.xslt is a XSLT processor that implements the XPath 1.0 Recommendation and
the XSLT 1.1 Working Draft. It is written in Java (requiring a JDK version 1.1
or higher) and available under the Mozilla Public License 1.1.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
Javadoc for %{name}.

%package manual
Summary:        Manual for %{name}
Group:          Text Processing/Markup/XML

%description manual
Documentation for %{name}.

%package demo
Summary:        Demos for %{name}
Group:          Development/Testing
Requires:       %{name} = %{version}-%{release}

%description demo
Demonstrations and samples for %{name}.

%prep
%setup -q -c
cp %{SOURCE2} build.xml
cd src
unzip -q src.zip
# Grab the META-INF/services stuff from the jar.
jar xvf ../lib/jd.jar META-INF/services
cd ..
# Clean up jars and other stuff we have elsewhere or will build ourselves.
rm -rf lib/*.jar src/com src/org/xml src/org/w3c/dom src/javax

%build
CLASSPATH=%{javadir}/xml-commons-apis.jar:%{javadir}/oldbsf.jar ant

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{javadir}
cp build/lib/%{name}.jar $RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# javadoc
mkdir -p $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}/

# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp demo.* $RPM_BUILD_ROOT%{_datadir}/%{name}/

# script
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-alternatives --install %{javadir}/jaxp_transform_impl.jar \
  jaxp_transform_impl %{javadir}/%{name}.jar 20

%postun
if [ "$1" = "0" ]; then
  update-alternatives --remove jaxp_transform_impl \
    %{javadir}/%{name}.jar
fi

%files
%defattr(0644,root,root,0755)
%doc License* README*
%{javadir}/*
%attr(0755,root,root) %{_bindir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{javadocdir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc doc/xslt/*

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%changelog
* Mon Jan 20 2003 David Walluck <david@anti-microsoft.org> 1.3.0-2jpp
- oldbsf
- use non-versioned jar in alternative

* Tue Nov 12 2002 Ville Skytt <ville.skytta at iki.fi> - 1.3.0-1jpp
- Update to 1.3.0.
- Do not remove alternatives on upgrade.
- Fixed demo requirements and Group tag.

* Tue Oct 15 2002 Ville Skytt <ville.skytta at iki.fi> 1.2.9-1jpp
- Update to 1.2.9.

* Thu Jul 25 2002 Ville Skytt <ville.skytta at iki.fi> 1.2.8-3jpp
- No more use the provided jar and javadocs, build them instead.
- Add command line script.

* Mon Jul  1 2002 Ville Skytt <ville.skytta at iki.fi> 1.2.8-2jpp
- Requires jaxp_parser_impl and /usr/sbin/update-alternatives.

* Sun Jun 30 2002 Ville Skytt <ville.skytta at iki.fi> 1.2.8-1jpp
- Updated to 1.2.8.
- Use sed instead of bash 2 extension when symlinking.
- Provides jaxp_transform_impl.

* Sat May 11 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2.6-1jpp
- contributed by Ville Skytt <ville.skytta at iki.fi>
